Managing Lab PDFs

The lab PDF displays your lab results, as retrieved from /result/ endpoint, and relevant recommendations.

To generate PDFs for your lab results you can use the lab-pdf-job endpoints.

Creating a Lab PDF Job

Below is an example request to generate a PDF for the lab results page:

POST /lab-pdf-job/

{  
    "profile_id": "54db4946-a246-4b04-abba-00c83793592a",  
    "pdf_config": {  
        "result_inputs": "latest_results",  
        "lab_results_type": "out_of_optimal"  
  }  
}

The pdf_config field supports configs to customise the PDF. See Lab PDF Configurations for details.

Retrieving the PDF

Please refer to Acquiring PDFs.